Get a claim proof
curl --request GET \
--url https://api-tbi.boost.xyz/v1/claims/{campaignId}/{address}import requests
url = "https://api-tbi.boost.xyz/v1/claims/{campaignId}/{address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-tbi.boost.xyz/v1/claims/{campaignId}/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": {
"chainId": 123,
"campaignIndex": 4503599627370495
},
"address": "<unknown>",
"rewardToken": {
"address": "<unknown>",
"decimals": 4503599627370495,
"symbol": "<string>"
},
"cumulativeAmount": "<string>",
"alreadyClaimed": "<string>",
"claimable": "<string>",
"proof": [
"<unknown>"
],
"root": "<unknown>",
"publishedAt": "<string>",
"cliffPositions": [
{
"tokenId": "<string>",
"status": "intact",
"endsAt": "<string>"
}
],
"cliffBreak": {
"timestamp": "<string>",
"balanceBefore": "<string>",
"balanceAfter": "<string>"
}
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}{
"error": "<string>",
"code": "INVALID_PARAMS",
"details": null
}Claims
Get a claim proof
Returns the latest claim proof and precomputed claimable amount for one campaign and address.
GET
/
v1
/
claims
/
{campaignId}
/
{address}
Get a claim proof
Headers
Optional partner attribution reference ID. Values are manually assigned by Boost and must be at most 128 characters.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Path Parameters
Campaign ID in chainId:campaignIndex form, for example 480:1.
Pattern:
^\d+:\d+$EVM address. Responses normalize addresses to lowercase.
Response
Claim proof
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^(0|[1-9]\d*)$Pattern:
^(0|[1-9]\d*)$Pattern:
^(0|[1-9]\d*)$Pattern:
^(0|[1-9]\d*)$Show child attributes
Show child attributes
Show child attributes
Show child attributes